require 'rails_helper'

module ApiUserAuth
  RSpec.describe AuthUser, type: :model do
    context 'AuthUserHelper' do
      context '#create_by_params' do

        it 'Valid' do
          expect(AuthUser.count).to eq(0)
          AuthUser.create_by_params(
              email: 'user@mail.com',
              password: '123456'
          )
          expect(AuthUser.count).to eq(1)
        end

        it 'Invalid' do
          expect(AuthUser.count).to eq(0)
          expect { AuthUser.create_by_params(email: '', password: '') }.
            to raise_error(Exceptions::WrongParams)
          expect(AuthUser.count).to eq(0)
        end

      end

    end
  end
end
